package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene15_SuperPack4 extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene15_SuperPack4.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene15_SuperPack4.opacity0 = 0;
attribute Scene15_SuperPack4.opacity1 = 0;
attribute Scene15_SuperPack4.opacity2 = 0;
attribute Scene15_SuperPack4.opacity3 = 0;
attribute Scene15_SuperPack4.opacity4 = 0;
attribute Scene15_SuperPack4.opacity5 = 0;
attribute Scene15_SuperPack4.opacity6 = 0;

attribute Scene15_SuperPack4.leafs =  [
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 100
                    y: 100
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 56}
                    content: "Super Package"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
	         opacity0 = unit;
            }
        }
    },
    Leaf {
        node: View {
            filter: [ShadowFilter { x: 10, y: -10}]
            opacity: bind opacity1
            transform: translate(160.0, 180.0)

            content: Label {
                text:
"<html><div style='font-name:\"Monospaced\"; font-size: 34px;'>
<pre>superpackage jdk \{
    member package java.util;
    member package java.io;
    member package sun.io;

    // OQƂ
    <span style='color: #0033CC'>export java.util.*;
    export java.io.*;</span>
}
</pre>
</div></html>"
            }
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity1 = unit;
            }
        }
    },
];