package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene3_OpenJDK2 extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;

    attribute length0: Number;
    attribute length1: Number;
    attribute length2: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

attribute Scene3_OpenJDK2.opacity0 = 0;
attribute Scene3_OpenJDK2.opacity1 = 0;
attribute Scene3_OpenJDK2.opacity2 = 0;
attribute Scene3_OpenJDK2.opacity3 = 0;
attribute Scene3_OpenJDK2.opacity4 = 0;
attribute Scene3_OpenJDK2.opacity5 = 0;

attribute Scene3_OpenJDK2.length0 = 0;
attribute Scene3_OpenJDK2.length1 = 0;
attribute Scene3_OpenJDK2.length2 = 0;

attribute Scene3_OpenJDK2.leafs =  [
    Leaf {
        node: Text {
            filter: [ShadowFilter { x: 10, y: -10}]
            x: 100
            y: 100
            opacity: bind opacity0
            font: Font {faceName: "MS PSVbN", style: BOLD, size: 56}
            content: "St[ւ̓"
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity0 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Arc {
                    transform: rotate(-90, 512, 450)
                    x: 232
                    y: 170
                    height: 560
                    width: 560
                    startAngle: 0
                    length: bind length0
                    closure: PIE
                    fill: Color {red: 0x99, green: 0xff, blue: 0xcc}
                    stroke: white
                    strokeWidth: 2
                },
                Text {
                    x: 700
                    y: 450
                    opacity: bind opacity1
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 40}
                    content: "GPL v2
88.96%"
                }
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 2000) {
                length0 = - unit * 320;
                opacity1 = if unit > 0.5 then unit * 2 else 0;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Arc {
                    transform: rotate(-90, 512, 450)
                    x: 232
                    y: 170
                    height: 560
                    width: 560
                    startAngle: 40
                    length: bind length1
                    closure: PIE
                    fill: Color {red: 0xff, green: 0x99, blue: 0x66}
                    stroke: white
                    strokeWidth: 2
                },
                Text {
                    x: 60
                    y: 180
                    opacity: bind opacity2
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 40}
                    content: "non GPL v2
(Apache etc)
7.49%"
                }
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                length1 = - unit * 27;
                opacity2 = if unit > 0.5 then unit * 2 else 0;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Arc {
                    transform: rotate(-90, 512, 450)
                    x: 232
                    y: 170
                    height: 560
                    width: 560
                    startAngle: 13
                    length: bind length2
                    closure: PIE
                    fill: Color {red: 0x00, green: 0x99, blue: 0xcc}
                    stroke: white
                    strokeWidth: 2
                },
                Text {
                    x: 540
                    y: 180
                    opacity: bind opacity3
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 40}
                    content: "non OSS
3.55%"
                }
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                length2 = - unit * 13;
                opacity3 = if unit > 0.5 then unit * 2 else 0;
            }
        }
    },
];