package net.javainthebox.javafx.presentator.contents;

import javafx.ui.*;
import javafx.ui.canvas.*; 
import javafx.ui.filter.*;
import java.lang.System;

import java.applet.*;
import java.io.*;
import java.net.*;
import javax.sound.sampled.*;
import sun.applet.*;

import net.javainthebox.javafx.presentator.*;

public class Scene8_Multi2 extends Scene {
    attribute opacity0: Number;
    attribute opacity1: Number;
    attribute opacity2: Number;
    attribute opacity3: Number;
    attribute opacity4: Number;
    attribute opacity5: Number;
    attribute opacity6: Number;

    operation fadein(unit: Number,
                     start: Number, end: Number):  Number;
}

operation Scene8_Multi2.fadein(unit: Number,
                                 start: Number, end: Number): Number {
    var opacity: Number;

    if (unit < start) {
        opacity = 0.0;
    } else if (unit > start and unit < end) {
        opacity = (unit - start) / (end - start);
    } else if (unit > end) {
	 opacity = 1.0;
    }

    return opacity;
}


attribute Scene8_Multi2.opacity0 = 0;
attribute Scene8_Multi2.opacity1 = 0;
attribute Scene8_Multi2.opacity2 = 0;
attribute Scene8_Multi2.opacity3 = 0;
attribute Scene8_Multi2.opacity4 = 0;
attribute Scene8_Multi2.opacity5 = 0;
attribute Scene8_Multi2.opacity6 = 0;

attribute Scene8_Multi2.leafs =  [
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 100
                    y: 100
                    filter: [ShadowFilter { x: 10, y: -10}]
	             opacity: bind opacity0
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 56}
                    content: "Multilingual"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
	         opacity0 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 160
                    y: 180
	             opacity: bind opacity1
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 48}
                    content: "Java SE 6 "
                },
                Text {
                    x: 200
                    y: 250
	             opacity: bind opacity1
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 40}
                    content: "JSR 223 Scripting for the Java Platform"
                },
                Text {
                    x: 200
                    y: 310
	             opacity: bind opacity1
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 40}
                    content: "JavaScript WŒ"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity1 = unit;
            }
        }
    },
    Leaf {
        node: Group {
            content: [
                Text {
                    x: 160
                    y: 390
	             opacity: bind opacity2
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 48}
                    content: "Java SE 7 ł"
                },
                Text {
                    x: 200
                    y: 460
	             opacity: bind opacity2
                    filter: [ShadowFilter { x: 10, y: -10}]
                    font: Font {faceName: "MS PSVbN", style: BOLD, size: 40}
                    content: "Ruby, Beanshell, Groovy, Jython,
JavaFX Script"
                },
            ]
        }

        action: operation() {
	     for (unitinterval unit in dur 1000) {
                opacity2 = unit;
            }
        }
    },
];